Title

Curio 5.4.1 Release Notes

Release Date

January 12, 2009

Requirements

Curio requires Mac OS X v10.5 (Leopard) or above. Mac OS X v10.4 (Tiger) is no longer supported!

Evernote Shelf Features

Other New Features

Notable Fixes